!-----------------------------------------------------------------------
!  PSGHOX -- CROSS SECTION OF O+8 + H --> O+7 + H+
!
real(fp) FUNCTION psghox8(ZE)
!
! INPUT
!  ZE -- COLLISION ENERGY **PER NUCLEON**  EV/AMU
!
! OUTPUT
!  PSGHOX -- CROSS SECTION, CM**2
!
! REFERENCE
!  ORNL-6090/V5, ATOMIC DATA FOR FUSION, VOLUME V,
!    "COLLISIONS OF CARBON AND OXYGEN IONS WITH ELECTRONS, H, H2, & He"
!    R.A. PHANEUF, R.K. JANEV, M.S. PINDZOLA
!
!============
! idecl:  explicitize implicit REAL declarations:
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
  real(fp) ze,emin,emax,zans,psgchvx8
!============
  real(fp) CCHEV(9)
!
  DATA EMIN/1.5e+2_fp/
  DATA EMAX/2.2e+5_fp/
!
  DATA CCHEV/&
       -6.75708e+01_fp,-7.44247e-01_fp,-1.31873_fp,&
       -4.39377e-01_fp,-3.84417e-01_fp,-1.57858e-01_fp,&
       -8.06534e-02_fp,-6.45421e-03_fp, 1.21750e-02_fp/
  !
  ZANS=psgchvx8(1,ZE,EMIN,EMAX,CCHEV)
  psghox8=ZANS
!
  RETURN
END FUNCTION psghox8
! 21Jun2001 fgtok -s r8_precision.sub foo.tab "r8con.csh conversion"
! 21Jun2001 fgtok
